Subject: Re: bug#17289: 24.4.50; Build failure (Fedora 20)

From: "Jan D." <[email-masked]>
Date: Fri, 18 Apr 2014 15:09:18 +0200

Hello.

Jan Djärv skrev 2014-04-18 11:54:
> revno: 116974
> committer: Paul Eggert <[email-masked]>
> branch nick: trunk
> timestamp: Sun 2014-04-13 22:23:31 -0700
> message:
>   Clean up configure-time library handling a bit.
> ...
>

I don't undrestand this change.  I though the point was to let CFLAGS 
and LIBS to accumulate so we can catch conflicts early.  If for example, 
Glib and librsvg has a conflict, it would be caught at configure time, 
probably by ignoring one of the libs, and still let Emacs be built.
Now it won't be shown until temacs link time, nor do we have any log to 
look at (i.e. config.log).

If this is the IRIX getdelim bug gone wild, I don't think it is the 
right way to solve it.  Just make a IRIX specific exception in configure.

     Jan D.